Merge remote-tracking branch 'origin/master' into YaSp
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2010 - Allan CORNET
21
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at    
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27 #
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # This file must be used under the terms of the CeCILL.
34 # This source file is licensed as described in the file COPYING, which
35 # you should have received as part of this distribution.  The terms
36 # are also available at
37 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
38 #
39
40 ##########
41 ### Makefile included stuff
42 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
43 ##########
44
45
46 VPATH = @srcdir@
47 am__make_dryrun = \
48   { \
49     am__dry=no; \
50     case $$MAKEFLAGS in \
51       *\\[\ \   ]*) \
52         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
53           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
54       *) \
55         for am__flg in $$MAKEFLAGS; do \
56           case $$am__flg in \
57             *=*|--*) ;; \
58             *n*) am__dry=yes; break;; \
59           esac; \
60         done;; \
61     esac; \
62     test $$am__dry = yes; \
63   }
64 pkgdatadir = $(datadir)/@PACKAGE@
65 pkgincludedir = $(includedir)/@PACKAGE@
66 pkglibdir = $(libdir)/@PACKAGE@
67 pkglibexecdir = $(libexecdir)/@PACKAGE@
68 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69 install_sh_DATA = $(install_sh) -c -m 644
70 install_sh_PROGRAM = $(install_sh) -c
71 install_sh_SCRIPT = $(install_sh) -c
72 INSTALL_HEADER = $(INSTALL_DATA)
73 transform = $(program_transform_name)
74 NORMAL_INSTALL = :
75 PRE_INSTALL = :
76 POST_INSTALL = :
77 NORMAL_UNINSTALL = :
78 PRE_UNINSTALL = :
79 POST_UNINSTALL = :
80 build_triplet = @build@
81 host_triplet = @host@
82 @GIWS_TRUE@am__append_1 = giws
83 @SWIG_TRUE@am__append_2 = swig
84 @GUI_TRUE@am__append_3 = libsciui_data.la
85 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
86         $(top_srcdir)/Makefile.incl.am
87 @NEED_JAVA_TRUE@am__append_4 = java
88 subdir = modules/ui_data
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
91         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
92         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
93         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
94         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
95         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
96         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
97         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
98         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
99         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
100         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
101         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
102         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
103         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
104         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
105         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
106         $(top_srcdir)/configure.ac
107 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
108         $(ACLOCAL_M4)
109 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
110 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
111 CONFIG_CLEAN_FILES =
112 CONFIG_CLEAN_VPATH_FILES =
113 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
114 am__vpath_adj = case $$p in \
115     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
116     *) f=$$p;; \
117   esac;
118 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
119 am__install_max = 40
120 am__nobase_strip_setup = \
121   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
122 am__nobase_strip = \
123   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
124 am__nobase_list = $(am__nobase_strip_setup); \
125   for p in $$list; do echo "$$p $$p"; done | \
126   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
127   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
128     if (++n[$$2] == $(am__install_max)) \
129       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
130     END { for (dir in files) print dir, files[dir] }'
131 am__base_list = \
132   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
133   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
134 am__uninstall_files_from_dir = { \
135   test -z "$$files" \
136     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
137     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
138          $(am__cd) "$$dir" && rm -f $$files; }; \
139   }
140 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
141         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
142         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
143         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
144         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
145 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
146 libsciui_data_algo_la_LIBADD =
147 am__objects_1 = libsciui_data_algo_la-ui_data_wrap.lo \
148         libsciui_data_algo_la-PutScilabVariable.lo
149 am__objects_2 = libsciui_data_algo_la-BrowseVar.lo \
150         libsciui_data_algo_la-EditVar.lo \
151         libsciui_data_algo_la-FileBrowser.lo
152 am__objects_3 = libsciui_data_algo_la-UpdateBrowseVar.lo \
153         libsciui_data_algo_la-FileBrowserChDir.lo
154 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
155         $(am__objects_3)
156 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
157 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
158 libsciui_data_disable_la_LIBADD =
159 am__objects_4 = libsciui_data_disable_la-noui_data.lo
160 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
161 libsciui_data_disable_la_OBJECTS =  \
162         $(am_libsciui_data_disable_la_OBJECTS)
163 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la
164 am__objects_5 = libsciui_data_la-gw_ui_data.lo
165 am__objects_6 = libsciui_data_la-sci_editvar.lo \
166         libsciui_data_la-sci_browsevar.lo \
167         libsciui_data_la-sci_filebrowser.lo \
168         libsciui_data_la-sci_updatebrowsevar.lo
169 am_libsciui_data_la_OBJECTS = $(am__objects_5) $(am__objects_6)
170 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
171 libsciui_data_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
172         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
173         $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) $(LDFLAGS) -o $@
174 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
175 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
176 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
177 am__depfiles_maybe = depfiles
178 am__mv = mv -f
179 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
180         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
181 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
182         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
183         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
184 CCLD = $(CC)
185 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
186         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
187         $(LDFLAGS) -o $@
188 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
189         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
190 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
191         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
192         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
193 CXXLD = $(CXX)
194 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
195         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
196         $(LDFLAGS) -o $@
197 SOURCES = $(libsciui_data_algo_la_SOURCES) \
198         $(libsciui_data_disable_la_SOURCES) \
199         $(libsciui_data_la_SOURCES)
200 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
201         $(libsciui_data_disable_la_SOURCES) \
202         $(libsciui_data_la_SOURCES)
203 am__can_run_installinfo = \
204   case $$AM_UPDATE_INFO_DIR in \
205     n|no|NO) false;; \
206     *) (install-info --version) >/dev/null 2>&1;; \
207   esac
208 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
209         $(libsciui_data_la_sci_gateway_DATA) \
210         $(nobase_libsciui_data_la_icons_DATA)
211 ETAGS = etags
212 CTAGS = ctags
213 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
214 ACLOCAL = @ACLOCAL@
215 ALL_LINGUAS = @ALL_LINGUAS@
216 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
217 AMTAR = @AMTAR@
218 ANT = @ANT@
219 ANTLR = @ANTLR@
220 AR = @AR@
221 ARPACK_LIBS = @ARPACK_LIBS@
222 ASM3 = @ASM3@
223 AUTOCONF = @AUTOCONF@
224 AUTOHEADER = @AUTOHEADER@
225 AUTOMAKE = @AUTOMAKE@
226 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
227 AWK = @AWK@
228 BATIK = @BATIK@
229 BLAS_LIBS = @BLAS_LIBS@
230 CC = @CC@
231 CCACHE = @CCACHE@
232 CCDEPMODE = @CCDEPMODE@
233 CFLAGS = @CFLAGS@
234 CHECKSTYLE = @CHECKSTYLE@
235 COBERTURA = @COBERTURA@
236 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
237 COMMONS_IO = @COMMONS_IO@
238 COMMONS_LOGGING = @COMMONS_LOGGING@
239 CPP = @CPP@
240 CPPFLAGS = @CPPFLAGS@
241 CURL_CFLAGS = @CURL_CFLAGS@
242 CURL_CONFIG = @CURL_CONFIG@
243 CURL_LIBS = @CURL_LIBS@
244 CURL_VERSION = @CURL_VERSION@
245 CXX = @CXX@
246 CXXCPP = @CXXCPP@
247 CXXDEPMODE = @CXXDEPMODE@
248 CXXFLAGS = @CXXFLAGS@
249 CYGPATH_W = @CYGPATH_W@
250 DEFS = @DEFS@
251 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
252 DEPDIR = @DEPDIR@
253 DOCBOOK_ROOT = @DOCBOOK_ROOT@
254 DOXYGEN_BIN = @DOXYGEN_BIN@
255 DSYMUTIL = @DSYMUTIL@
256 DUMPBIN = @DUMPBIN@
257 ECHO_C = @ECHO_C@
258 ECHO_N = @ECHO_N@
259 ECHO_T = @ECHO_T@
260 EGREP = @EGREP@
261 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
262 EXEEXT = @EXEEXT@
263 F77 = @F77@
264 FFLAGS = @FFLAGS@
265 FFTW3_LIB = @FFTW3_LIB@
266 FFTW_ENABLE = @FFTW_ENABLE@
267 FGREP = @FGREP@
268 FLEXDOCK = @FLEXDOCK@
269 FLIBS = @FLIBS@
270 FOP = @FOP@
271 GENHTML = @GENHTML@
272 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
273 GIWS_BIN = @GIWS_BIN@
274 GLUEGEN2_RT = @GLUEGEN2_RT@
275 GMSGFMT = @GMSGFMT@
276 GMSGFMT_015 = @GMSGFMT_015@
277 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
278 GREP = @GREP@
279 GUI_ENABLE = @GUI_ENABLE@
280 HDF5_CFLAGS = @HDF5_CFLAGS@
281 HDF5_LIBS = @HDF5_LIBS@
282 HELP_ENABLE = @HELP_ENABLE@
283 INSTALL = @INSTALL@
284 INSTALL_DATA = @INSTALL_DATA@
285 INSTALL_PROGRAM = @INSTALL_PROGRAM@
286 INSTALL_SCRIPT = @INSTALL_SCRIPT@
287 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
288 INTLLIBS = @INTLLIBS@
289 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
290 JAR = @JAR@
291 JAVA = @JAVA@
292 JAVAC = @JAVAC@
293 JAVAC_DEBUG = @JAVAC_DEBUG@
294 JAVADOC = @JAVADOC@
295 JAVAH = @JAVAH@
296 JAVASCI_ENABLE = @JAVASCI_ENABLE@
297 JAVA_ENABLE = @JAVA_ENABLE@
298 JAVA_G = @JAVA_G@
299 JAVA_HOME = @JAVA_HOME@
300 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
301 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
302 JDB = @JDB@
303 JEUCLID_CORE = @JEUCLID_CORE@
304 JGRAPHX = @JGRAPHX@
305 JHALL = @JHALL@
306 JLATEXMATH = @JLATEXMATH@
307 JLATEXMATH_FOP = @JLATEXMATH_FOP@
308 JOGL2 = @JOGL2@
309 JROSETTA_API = @JROSETTA_API@
310 JROSETTA_ENGINE = @JROSETTA_ENGINE@
311 JUNIT4 = @JUNIT4@
312 LAPACK_LIBS = @LAPACK_LIBS@
313 LCOV = @LCOV@
314 LD = @LD@
315 LDFLAGS = @LDFLAGS@
316 LEX = @LEX@
317 LEXLIB = @LEXLIB@
318 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
319 LIBICONV = @LIBICONV@
320 LIBINTL = @LIBINTL@
321 LIBM = @LIBM@
322 LIBOBJS = @LIBOBJS@
323 LIBS = @LIBS@
324 LIBTOOL = @LIBTOOL@
325 LIPO = @LIPO@
326 LN_S = @LN_S@
327 LOGGING_LEVEL = @LOGGING_LEVEL@
328 LOOKS = @LOOKS@
329 LTLIBICONV = @LTLIBICONV@
330 LTLIBINTL = @LTLIBINTL@
331 LTLIBOBJS = @LTLIBOBJS@
332 MAINT = @MAINT@
333 MAKEINFO = @MAKEINFO@
334 MATIO_CFLAGS = @MATIO_CFLAGS@
335 MATIO_ENABLE = @MATIO_ENABLE@
336 MATIO_LIBS = @MATIO_LIBS@
337 MKDIR_P = @MKDIR_P@
338 MSGCAT = @MSGCAT@
339 MSGFMT = @MSGFMT@
340 MSGFMT_015 = @MSGFMT_015@
341 MSGMERGE = @MSGMERGE@
342 NM = @NM@
343 NMEDIT = @NMEDIT@
344 OBJDUMP = @OBJDUMP@
345 OBJEXT = @OBJEXT@
346 OCAMLC = @OCAMLC@
347 OCAMLDEP = @OCAMLDEP@
348 OCAMLLEX = @OCAMLLEX@
349 OCAMLOPT = @OCAMLOPT@
350 OCAMLYACC = @OCAMLYACC@
351 OPENMP_CFLAGS = @OPENMP_CFLAGS@
352 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
353 OPENMP_ENABLE = @OPENMP_ENABLE@
354 OPENMP_LIBS = @OPENMP_LIBS@
355 OTOOL = @OTOOL@
356 OTOOL64 = @OTOOL64@
357 PACKAGE = @PACKAGE@
358 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
359 PACKAGE_NAME = @PACKAGE_NAME@
360 PACKAGE_STRING = @PACKAGE_STRING@
361 PACKAGE_TARNAME = @PACKAGE_TARNAME@
362 PACKAGE_URL = @PACKAGE_URL@
363 PACKAGE_VERSION = @PACKAGE_VERSION@
364 PATH_SEPARATOR = @PATH_SEPARATOR@
365 PCRE_CFLAGS = @PCRE_CFLAGS@
366 PCRE_CONFIG = @PCRE_CONFIG@
367 PCRE_LIBS = @PCRE_LIBS@
368 PCRE_VERSION = @PCRE_VERSION@
369 PKG_CONFIG = @PKG_CONFIG@
370 POSUB = @POSUB@
371 POW_LIB = @POW_LIB@
372 PYTHON = @PYTHON@
373 RANLIB = @RANLIB@
374 RELOCATABLE = @RELOCATABLE@
375 RT_LIB = @RT_LIB@
376 SAXON = @SAXON@
377 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
378 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
379 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
380 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
381 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
382 SCIRENDERER = @SCIRENDERER@
383 SCI_CFLAGS = @SCI_CFLAGS@
384 SCI_CXXFLAGS = @SCI_CXXFLAGS@
385 SCI_FFLAGS = @SCI_FFLAGS@
386 SCI_LDFLAGS = @SCI_LDFLAGS@
387 SED = @SED@
388 SET_MAKE = @SET_MAKE@
389 SET_RELOCATABLE = @SET_RELOCATABLE@
390 SHELL = @SHELL@
391 SKINLF = @SKINLF@
392 SPLINT = @SPLINT@
393 STRIP = @STRIP@
394 SWIG_BIN = @SWIG_BIN@
395 SWIG_JAVA = @SWIG_JAVA@
396 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
397 TCLTK_LIBS = @TCLTK_LIBS@
398 TCL_INC_PATH = @TCL_INC_PATH@
399 TK_INC_PATH = @TK_INC_PATH@
400 UMFPACK_ENABLE = @UMFPACK_ENABLE@
401 UMFPACK_LIB = @UMFPACK_LIB@
402 USE_NLS = @USE_NLS@
403 VERSION = @VERSION@
404 WITH_OCAML = @WITH_OCAML@
405 WITH_TKSCI = @WITH_TKSCI@
406 XCOS_ENABLE = @XCOS_ENABLE@
407 XGETTEXT = @XGETTEXT@
408 XGETTEXT_015 = @XGETTEXT_015@
409 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
410 XMKMF = @XMKMF@
411 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
412 XML_APIS_EXT = @XML_APIS_EXT@
413 XML_CONFIG = @XML_CONFIG@
414 XML_FLAGS = @XML_FLAGS@
415 XML_LIBS = @XML_LIBS@
416 XML_VERSION = @XML_VERSION@
417 X_CFLAGS = @X_CFLAGS@
418 X_EXTRA_LIBS = @X_EXTRA_LIBS@
419 X_LIBS = @X_LIBS@
420 X_PRE_LIBS = @X_PRE_LIBS@
421 YACC = @YACC@
422 YFLAGS = @YFLAGS@
423 abs_builddir = @abs_builddir@
424 abs_srcdir = @abs_srcdir@
425 abs_top_builddir = @abs_top_builddir@
426 abs_top_srcdir = @abs_top_srcdir@
427 ac_ct_CC = @ac_ct_CC@
428 ac_ct_CXX = @ac_ct_CXX@
429 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
430 ac_ct_F77 = @ac_ct_F77@
431 am__include = @am__include@
432 am__leading_dot = @am__leading_dot@
433 am__quote = @am__quote@
434 am__tar = @am__tar@
435 am__untar = @am__untar@
436 bindir = @bindir@
437 build = @build@
438 build_alias = @build_alias@
439 build_cpu = @build_cpu@
440 build_os = @build_os@
441 build_vendor = @build_vendor@
442 builddir = @builddir@
443 cxx_present = @cxx_present@
444 datadir = @datadir@
445 datarootdir = @datarootdir@
446 docdir = @docdir@
447 dvidir = @dvidir@
448 exec_prefix = @exec_prefix@
449 host = @host@
450 host_alias = @host_alias@
451 host_cpu = @host_cpu@
452 host_os = @host_os@
453 host_vendor = @host_vendor@
454 htmldir = @htmldir@
455 includedir = @includedir@
456 infodir = @infodir@
457 install_sh = @install_sh@
458 libdir = @libdir@
459 libexecdir = @libexecdir@
460 localedir = @localedir@
461 localstatedir = @localstatedir@
462 mandir = @mandir@
463 mkdir_p = @mkdir_p@
464 oldincludedir = @oldincludedir@
465 pdfdir = @pdfdir@
466 prefix = @prefix@
467 program_transform_name = @program_transform_name@
468 psdir = @psdir@
469 sbindir = @sbindir@
470 sharedstatedir = @sharedstatedir@
471 srcdir = @srcdir@
472 sysconfdir = @sysconfdir@
473 target_alias = @target_alias@
474 top_build_prefix = @top_build_prefix@
475 top_builddir = @top_builddir@
476 top_srcdir = @top_srcdir@
477 yacc_present = @yacc_present@
478
479 #### Target ######
480 modulename = ui_data
481
482 #### ui_data : Conf files ####
483 libsciui_data_la_rootdir = $(mydatadir)
484 libsciui_data_la_root_DATA = license.txt 
485
486 #### ui_data : init scripts ####
487 libsciui_data_la_etcdir = $(mydatadir)/etc
488 libsciui_data_la_etc_DATA = \
489         etc/ui_data.quit \
490         etc/ui_data.start \
491         etc/variablebrowser_menubar.xml \
492         etc/variableeditor_menubar.xml \
493         etc/XConfiguration-variables.xml \
494         etc/XConfiguration-variables.xsl
495
496 UI_DATA_JNI_SOURCES = src/jni/BrowseVar.cpp \
497                       src/jni/EditVar.cpp \
498                       src/jni/FileBrowser.cpp
499
500 UI_DATA_C_SOURCES = src/jni/ui_data_wrap.c \
501                     src/c/PutScilabVariable.c
502
503 UI_DATA_CXX_SOURCES = src/cpp/UpdateBrowseVar.cpp \
504                       src/cpp/FileBrowserChDir.cpp
505
506 GIWS_WRAPPERS = \
507 src/jni/BrowseVar.giws.xml \
508 src/jni/EditVar.giws.xml \
509 src/jni/FileBrowser.giws.xml
510
511 SWIG_WRAPPERS = \
512 src/jni/ui_data.i
513
514 BUILT_SOURCES = $(am__append_1) $(am__append_2)
515 GATEWAY_C_SOURCES = sci_gateway/c/gw_ui_data.c
516 GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_editvar.cpp \
517                       sci_gateway/cpp/sci_browsevar.cpp \
518                       sci_gateway/cpp/sci_filebrowser.cpp \
519                         sci_gateway/cpp/sci_updatebrowsevar.cpp
520
521 libsciui_data_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
522                         -I$(srcdir)/includes/ \
523                         -I$(srcdir)/src/cpp/ \
524                         -I$(srcdir)/src/c/ \
525                         -I$(srcdir)/src/jni/ \
526                         -I$(top_srcdir)/libs/MALLOC/includes/ \
527                         -I$(top_srcdir)/modules/jvm/includes/ \
528                         -I$(top_srcdir)/modules/output_stream/includes/ \
529                         -I$(top_srcdir)/modules/operations/includes/ \
530             -I$(top_srcdir)/modules/system_env/includes/ \
531                         -I$(top_srcdir)/modules/commons/src/jni/ \
532                         -I$(top_srcdir)/modules/localization/includes/ \
533                         -I$(top_srcdir)/modules/api_scilab/includes/ \
534                         -I$(top_srcdir)/modules/fileio/includes/ \
535                         -I$(top_srcdir)/modules/string/includes/ \
536                         $(AM_CPPFLAGS)
537
538
539 # Without the ui_data module 
540 libsciui_data_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
541                         -I$(top_srcdir)/modules/localization/includes/ \
542                         -I$(top_srcdir)/modules/output_stream/includes \
543                         $(AM_CPPFLAGS)
544
545 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
546 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
547 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
548 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
549 libsciui_data_la_LDFLAGS = $(X_LIBS) $(X_EXTRA_LIBS) $(AM_LDFLAGS)
550 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
551 libsciui_data_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
552 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
553
554 # For the code check (splint)
555 CHECK_SRC = $(UI_DATA_C_SOURCES) $(GATEWAY_C_SOURCES)
556 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
557 libsciui_data_la_LIBADD = libsciui_data-algo.la
558
559 #### ui_data : gateway declaration ####
560 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
561 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
562
563 #### ui_data : icons files ####
564 #
565 # Generated with:
566 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
567 libsciui_data_la_iconsdir = $(mydatadir)/
568 nobase_libsciui_data_la_icons_DATA = images/icons/16x16/mimetypes/array_up.png \
569 images/icons/16x16/mimetypes/boolean.png \
570 images/icons/16x16/mimetypes/cell.png \
571 images/icons/16x16/mimetypes/double.png \
572 images/icons/16x16/mimetypes/fptr.png \
573 images/icons/16x16/mimetypes/function.png \
574 images/icons/16x16/mimetypes/handle.png \
575 images/icons/16x16/mimetypes/int.png \
576 images/icons/16x16/mimetypes/list.png \
577 images/icons/16x16/mimetypes/mlist.png \
578 images/icons/16x16/mimetypes/noicon.png \
579 images/icons/16x16/mimetypes/object.png \
580 images/icons/16x16/mimetypes/polynomial.png \
581 images/icons/16x16/mimetypes/sparse.png \
582 images/icons/16x16/mimetypes/string.png \
583 images/icons/16x16/mimetypes/timeseries.png \
584 images/icons/16x16/mimetypes/tlist.png \
585 images/icons/16x16/mimetypes/uint.png \
586 images/icons/16x16/mimetypes/user.png
587
588 @GUI_TRUE@USEANT = 1
589
590 # Where all the Scilab stuff is installed (macros, help, ...)
591 mydatadir = $(pkgdatadir)/modules/$(modulename)
592
593 # Set AM_* SCI detected settings
594 AM_CPPFLAGS = $(SCI_CPPFLAGS)
595 AM_CFLAGS = $(SCI_CFLAGS)
596 AM_CXXFLAGS = $(SCI_CXXFLAGS)
597 # append includes to AM_FFLAGS to manage fortran includes
598 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
599
600 # Tag shared libraries with the Scilab version
601 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
602
603 # splint options
604 SPLINT_OPTIONS = -weak -booltype BOOL
605
606 ########################### JAVA ######################################
607 #### We are delegating java compilation to ant... Thanks to that
608 #### the procedure will be the same with Microsoft Windows (C)
609 #### and Linux/Unix
610 #######################################################################
611 TARGETS_ALL = $(am__append_4)
612
613 ################ MACROS ######################
614 # Rule to build a macro
615 # NOT USED  AT THE MOMENT
616 SUFFIXES = .sci 
617
618 ########### INSTALL DOCUMENTATION ###################
619
620 # Install documentation files into the right target
621 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
622 # automake needs the html files to be present which is not the case when
623 # we are building Scilab
624
625 # Where it should be installed
626 pkgdocdir = $(mydatadir)
627
628 # What is the mask of the help source
629 DOCMASKXML = *.xml
630
631 # What is the mask of the MathML sources
632 DOCMASKMML = *.mml
633
634 ########### INSTALL DATA ###################
635 # Install macros, help & demos
636 # Where it should be installed
637 pkgmacrosdir = $(mydatadir)
638 # Which directory we process
639 MACRODIRS = macros/
640 # Mask of the Scilab sources macros
641 MACROMASK = *.sci
642 # Mask of the Scilab executable sources macros
643 MACROBUILDMASK = *.sce
644 # Mask of the Scilab compiled macros
645 MACROBINMASK = *.bin
646 # List of the standard directory for tests
647 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
648 # Where the demos should be installed
649 pkgdemosdir = $(mydatadir)
650 # List of the standard directory for demos
651 DEMOS_DIR = demos
652 # List of the standard directory for examples
653 EXAMPLES_DIR = examples
654 # Where to export JAVA archives (.jar)
655 JARDIR = jar/
656 # JAR files mask
657 JARMASK = *.jar
658 # Chapter file 
659 HELP_CHAPTERDIR = help/
660 HELP_CHAPTERFILE = addchapter.sce
661 HELP_CHAPTERLANG = en_US fr_FR pt_BR
662 all: $(BUILT_SOURCES)
663         $(MAKE) $(AM_MAKEFLAGS) all-am
664
665 .SUFFIXES:
666 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
667 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
668         @for dep in $?; do \
669           case '$(am__configure_deps)' in \
670             *$$dep*) \
671               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
672                 && { if test -f $@; then exit 0; else break; fi; }; \
673               exit 1;; \
674           esac; \
675         done; \
676         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
677         $(am__cd) $(top_srcdir) && \
678           $(AUTOMAKE) --foreign modules/ui_data/Makefile
679 .PRECIOUS: Makefile
680 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
681         @case '$?' in \
682           *config.status*) \
683             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
684           *) \
685             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
686             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
687         esac;
688 $(top_srcdir)/Makefile.incl.am:
689
690 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
691         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
692
693 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
694         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
695 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
696         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
697 $(am__aclocal_m4_deps):
698
699 clean-noinstLTLIBRARIES:
700         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
701         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
702           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
703           test "$$dir" != "$$p" || dir=.; \
704           echo "rm -f \"$${dir}/so_locations\""; \
705           rm -f "$${dir}/so_locations"; \
706         done
707 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
708         @$(NORMAL_INSTALL)
709         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
710         list2=; for p in $$list; do \
711           if test -f $$p; then \
712             list2="$$list2 $$p"; \
713           else :; fi; \
714         done; \
715         test -z "$$list2" || { \
716           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
717           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
718           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
719           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
720         }
721
722 uninstall-pkglibLTLIBRARIES:
723         @$(NORMAL_UNINSTALL)
724         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
725         for p in $$list; do \
726           $(am__strip_dir) \
727           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
728           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
729         done
730
731 clean-pkglibLTLIBRARIES:
732         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
733         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
734           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
735           test "$$dir" != "$$p" || dir=.; \
736           echo "rm -f \"$${dir}/so_locations\""; \
737           rm -f "$${dir}/so_locations"; \
738         done
739 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
740         $(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
741 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
742         $(LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
743 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
744         $(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
745
746 mostlyclean-compile:
747         -rm -f *.$(OBJEXT)
748
749 distclean-compile:
750         -rm -f *.tab.c
751
752 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
753 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
754 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
755 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
756 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
757 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Plo@am__quote@
758 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
759 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
760 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-gw_ui_data.Plo@am__quote@
761 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
762 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
763 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
764 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
765
766 .c.o:
767 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
768 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
769 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
770 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
771 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
772
773 .c.obj:
774 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
775 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
776 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
777 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
778 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
779
780 .c.lo:
781 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
782 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
783 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
784 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
785 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
786
787 libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
788 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
789 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
790 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/jni/ui_data_wrap.c' object='libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
791 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
792 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
793
794 libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
795 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
796 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
797 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/PutScilabVariable.c' object='libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
798 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
799 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
800
801 libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
802 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_disable_la-noui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
803 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo $(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
804 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noui_data/noui_data.c' object='libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
805 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
806 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
807
808 libsciui_data_la-gw_ui_data.lo: sci_gateway/c/gw_ui_data.c
809 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_la-gw_ui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
810 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo $(DEPDIR)/libsciui_data_la-gw_ui_data.Plo
811 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_ui_data.c' object='libsciui_data_la-gw_ui_data.lo' libtool=yes @AMDEPBACKSLASH@
812 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
813 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
814
815 .cpp.o:
816 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
817 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
818 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
819 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
821
822 .cpp.obj:
823 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
824 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
825 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
826 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
827 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
828
829 .cpp.lo:
830 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
831 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
832 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
833 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
834 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
835
836 libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
837 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
838 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
839 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/BrowseVar.cpp' object='libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
840 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
841 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
842
843 libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
844 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-EditVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
845 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo $(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
846 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/EditVar.cpp' object='libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
847 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
848 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
849
850 libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
851 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
852 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
853 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/FileBrowser.cpp' object='libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
854 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
855 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
856
857 libsciui_data_algo_la-UpdateBrowseVar.lo: src/cpp/UpdateBrowseVar.cpp
858 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-UpdateBrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Tpo -c -o libsciui_data_algo_la-UpdateBrowseVar.lo `test -f 'src/cpp/UpdateBrowseVar.cpp' || echo '$(srcdir)/'`src/cpp/UpdateBrowseVar.cpp
859 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Plo
860 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/UpdateBrowseVar.cpp' object='libsciui_data_algo_la-UpdateBrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
861 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-UpdateBrowseVar.lo `test -f 'src/cpp/UpdateBrowseVar.cpp' || echo '$(srcdir)/'`src/cpp/UpdateBrowseVar.cpp
863
864 libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
865 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
866 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
867 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/FileBrowserChDir.cpp' object='libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
868 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
869 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
870
871 libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
872 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_editvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
873 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo $(DEPDIR)/libsciui_data_la-sci_editvar.Plo
874 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_editvar.cpp' object='libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
875 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
876 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
877
878 libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
879 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_browsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
880 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
881 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_browsevar.cpp' object='libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
882 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
883 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
884
885 libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
886 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_filebrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
887 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo $(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
888 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_filebrowser.cpp' object='libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
889 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
890 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
891
892 libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
893 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
894 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
895 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
896 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
897 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
898
899 mostlyclean-libtool:
900         -rm -f *.lo
901
902 clean-libtool:
903         -rm -rf .libs _libs
904 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
905         @$(NORMAL_INSTALL)
906         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
907         if test -n "$$list"; then \
908           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
909           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
910         fi; \
911         for p in $$list; do \
912           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
913           echo "$$d$$p"; \
914         done | $(am__base_list) | \
915         while read files; do \
916           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
917           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
918         done
919
920 uninstall-libsciui_data_la_etcDATA:
921         @$(NORMAL_UNINSTALL)
922         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
923         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
924         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
925 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
926         @$(NORMAL_INSTALL)
927         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
928         if test -n "$$list"; then \
929           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
930           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
931         fi; \
932         for p in $$list; do \
933           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
934           echo "$$d$$p"; \
935         done | $(am__base_list) | \
936         while read files; do \
937           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
938           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
939         done
940
941 uninstall-libsciui_data_la_rootDATA:
942         @$(NORMAL_UNINSTALL)
943         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
944         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
945         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
946 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
947         @$(NORMAL_INSTALL)
948         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
949         if test -n "$$list"; then \
950           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
951           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit 1; \
952         fi; \
953         for p in $$list; do \
954           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
955           echo "$$d$$p"; \
956         done | $(am__base_list) | \
957         while read files; do \
958           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
959           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
960         done
961
962 uninstall-libsciui_data_la_sci_gatewayDATA:
963         @$(NORMAL_UNINSTALL)
964         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
965         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
966         dir='$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
967 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
968         @$(NORMAL_INSTALL)
969         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
970         if test -n "$$list"; then \
971           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
972           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
973         fi; \
974         $(am__nobase_list) | while read dir files; do \
975           xfiles=; for file in $$files; do \
976             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
977             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
978           test -z "$$xfiles" || { \
979             test "x$$dir" = x. || { \
980               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
981               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
982             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
983             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
984         done
985
986 uninstall-nobase_libsciui_data_la_iconsDATA:
987         @$(NORMAL_UNINSTALL)
988         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
989         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
990         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
991
992 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
993         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
994         unique=`for i in $$list; do \
995             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
996           done | \
997           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
998               END { if (nonempty) { for (i in files) print i; }; }'`; \
999         mkid -fID $$unique
1000 tags: TAGS
1001
1002 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1003                 $(TAGS_FILES) $(LISP)
1004         set x; \
1005         here=`pwd`; \
1006         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1007         unique=`for i in $$list; do \
1008             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1009           done | \
1010           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1011               END { if (nonempty) { for (i in files) print i; }; }'`; \
1012         shift; \
1013         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1014           test -n "$$unique" || unique=$$empty_fix; \
1015           if test $$# -gt 0; then \
1016             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1017               "$$@" $$unique; \
1018           else \
1019             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1020               $$unique; \
1021           fi; \
1022         fi
1023 ctags: CTAGS
1024 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1025                 $(TAGS_FILES) $(LISP)
1026         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1027         unique=`for i in $$list; do \
1028             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1029           done | \
1030           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1031               END { if (nonempty) { for (i in files) print i; }; }'`; \
1032         test -z "$(CTAGS_ARGS)$$unique" \
1033           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1034              $$unique
1035
1036 GTAGS:
1037         here=`$(am__cd) $(top_builddir) && pwd` \
1038           && $(am__cd) $(top_srcdir) \
1039           && gtags -i $(GTAGS_ARGS) "$$here"
1040
1041 distclean-tags:
1042         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1043
1044 distdir: $(DISTFILES)
1045         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1046         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1047         list='$(DISTFILES)'; \
1048           dist_files=`for file in $$list; do echo $$file; done | \
1049           sed -e "s|^$$srcdirstrip/||;t" \
1050               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1051         case $$dist_files in \
1052           */*) $(MKDIR_P) `echo "$$dist_files" | \
1053                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1054                            sort -u` ;; \
1055         esac; \
1056         for file in $$dist_files; do \
1057           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1058           if test -d $$d/$$file; then \
1059             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1060             if test -d "$(distdir)/$$file"; then \
1061               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1062             fi; \
1063             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1064               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1065               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1066             fi; \
1067             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1068           else \
1069             test -f "$(distdir)/$$file" \
1070             || cp -p $$d/$$file "$(distdir)/$$file" \
1071             || exit 1; \
1072           fi; \
1073         done
1074 check-am: all-am
1075         $(MAKE) $(AM_MAKEFLAGS) check-local
1076 check: $(BUILT_SOURCES)
1077         $(MAKE) $(AM_MAKEFLAGS) check-am
1078 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1079 installdirs:
1080         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1081           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1082         done
1083 install: $(BUILT_SOURCES)
1084         $(MAKE) $(AM_MAKEFLAGS) install-am
1085 install-exec: install-exec-am
1086 install-data: install-data-am
1087 uninstall: uninstall-am
1088
1089 install-am: all-am
1090         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1091
1092 installcheck: installcheck-am
1093 install-strip:
1094         if test -z '$(STRIP)'; then \
1095           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1096             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1097               install; \
1098         else \
1099           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1100             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1101             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1102         fi
1103 mostlyclean-generic:
1104
1105 clean-generic:
1106
1107 distclean-generic:
1108         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1109         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1110
1111 maintainer-clean-generic:
1112         @echo "This command is intended for maintainers to use"
1113         @echo "it deletes files that may require special tools to rebuild."
1114         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1115 clean: clean-am
1116
1117 clean-am: clean-generic clean-libtool clean-local \
1118         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1119
1120 distclean: distclean-am
1121         -rm -rf ./$(DEPDIR)
1122         -rm -f Makefile
1123 distclean-am: clean-am distclean-compile distclean-generic \
1124         distclean-local distclean-tags
1125
1126 dvi: dvi-am
1127
1128 dvi-am:
1129
1130 html: html-am
1131
1132 html-am:
1133
1134 info: info-am
1135
1136 info-am:
1137
1138 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1139         install-libsciui_data_la_rootDATA \
1140         install-libsciui_data_la_sci_gatewayDATA \
1141         install-nobase_libsciui_data_la_iconsDATA
1142
1143 install-dvi: install-dvi-am
1144
1145 install-dvi-am:
1146
1147 install-exec-am: install-pkglibLTLIBRARIES
1148
1149 install-html: install-html-am
1150
1151 install-html-am: install-html-local
1152
1153 install-info: install-info-am
1154
1155 install-info-am:
1156
1157 install-man:
1158
1159 install-pdf: install-pdf-am
1160
1161 install-pdf-am:
1162
1163 install-ps: install-ps-am
1164
1165 install-ps-am:
1166
1167 installcheck-am:
1168
1169 maintainer-clean: maintainer-clean-am
1170         -rm -rf ./$(DEPDIR)
1171         -rm -f Makefile
1172 maintainer-clean-am: distclean-am maintainer-clean-generic
1173
1174 mostlyclean: mostlyclean-am
1175
1176 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1177         mostlyclean-libtool
1178
1179 pdf: pdf-am
1180
1181 pdf-am:
1182
1183 ps: ps-am
1184
1185 ps-am:
1186
1187 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1188         uninstall-libsciui_data_la_rootDATA \
1189         uninstall-libsciui_data_la_sci_gatewayDATA \
1190         uninstall-nobase_libsciui_data_la_iconsDATA \
1191         uninstall-pkglibLTLIBRARIES
1192
1193 .MAKE: all check check-am install install-am install-strip
1194
1195 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1196         clean clean-generic clean-libtool clean-local \
1197         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1198         distclean distclean-compile distclean-generic \
1199         distclean-libtool distclean-local distclean-tags distdir dvi \
1200         dvi-am html html-am info info-am install install-am \
1201         install-data install-data-am install-data-local install-dvi \
1202         install-dvi-am install-exec install-exec-am install-html \
1203         install-html-am install-html-local install-info \
1204         install-info-am install-libsciui_data_la_etcDATA \
1205         install-libsciui_data_la_rootDATA \
1206         install-libsciui_data_la_sci_gatewayDATA install-man \
1207         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1208         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1209         install-ps-am install-strip installcheck installcheck-am \
1210         installdirs maintainer-clean maintainer-clean-generic \
1211         mostlyclean mostlyclean-compile mostlyclean-generic \
1212         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1213         uninstall-am uninstall-libsciui_data_la_etcDATA \
1214         uninstall-libsciui_data_la_rootDATA \
1215         uninstall-libsciui_data_la_sci_gatewayDATA \
1216         uninstall-nobase_libsciui_data_la_iconsDATA \
1217         uninstall-pkglibLTLIBRARIES
1218
1219
1220 # This target enables tests for Scilab
1221 check-local: $(top_builddir)/scilab-bin test
1222         if test -d $(mydatadir)/tests; then \
1223           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1224         fi
1225 check-code:
1226         if test -f build.xml; then \
1227                 $(ANT) checkstyle; \
1228         fi
1229         if test -x "$(SPLINT)"; then \
1230                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1231         fi
1232 @NEED_JAVA_TRUE@java:
1233 # Some configurations needs to export JAVA_HOME in the current env
1234 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1235 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1236 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1237 @NEED_JAVA_TRUE@                $(ANT); \
1238 @NEED_JAVA_TRUE@        fi
1239
1240 @NEED_JAVA_TRUE@clean-java:
1241 # Some configurations needs to export JAVA_HOME in the current env
1242 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1243 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1244 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1245 @NEED_JAVA_TRUE@                $(ANT) clean; \
1246 @NEED_JAVA_TRUE@        fi;
1247
1248 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1249 # We call the target swig-build on the variable SWIG_WRAPPERS
1250
1251 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1252 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1253 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1254 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1255 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1256 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1257 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1258 @SWIG_TRUE@             done; \
1259 @SWIG_TRUE@     fi
1260
1261 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1262 # We call the target swig-build on the variable SWIG_WRAPPERS
1263
1264 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1265 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1266 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1267 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1268 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1269 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1270 @GIWS_TRUE@             done; \
1271 @GIWS_TRUE@     fi
1272
1273 @GIWS_TRUE@giws-exception:
1274 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1275 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1276 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1277
1278 macros:
1279         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1280                 echo "Error : Cannot build $< : Scilab has not been built"; \
1281         else \
1282                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1283         fi)
1284
1285 # Removes the macros
1286 clean-macros:
1287 # Removes macros (*.bin generated from .sci)
1288         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1289                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1290                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1291         done
1292
1293 test:
1294 # More tests could be added here
1295         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1296         if test -f build.xml -a $$USEANT -eq 1; then \
1297                 $(ANT) test; \
1298         fi
1299
1300 all-local: $(TARGETS_ALL)
1301
1302 .sci.bin:
1303         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1304         echo "Error : Cannot build $< : Scilab has not been build"; \
1305         else \
1306         echo "Creating $@"; \
1307         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1308         fi )
1309
1310 install-html-local:
1311
1312 install-data-local-local:
1313 # Mainly for javasci
1314         @if test -d $(srcdir)/javadoc; then \
1315                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1316         fi
1317 # If the user wants the help sources to be installed
1318 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1319 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1320 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1321 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1322 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1323 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1324 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1325 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1326 @INSTALL_HELP_XML_TRUE@           done ; \
1327 @INSTALL_HELP_XML_TRUE@         fi; \
1328 @INSTALL_HELP_XML_TRUE@  fi; \
1329 @INSTALL_HELP_XML_TRUE@ done; \
1330 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1331 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1332 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1333 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1334 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1335 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1336 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1337 @INSTALL_HELP_XML_TRUE@           done ; \
1338 @INSTALL_HELP_XML_TRUE@         fi; \
1339 @INSTALL_HELP_XML_TRUE@ fi
1340 install-data-local:
1341 # Install the tests
1342         @echo "-------- Install tests (if any) --------"; \
1343         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1344           if test -d $(srcdir)/$$dir/; then \
1345             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1346                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1347                     if test -d "$(srcdir)/$$dir/$$file"; then \
1348                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1349                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1350                     else \
1351                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1352                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1353                     fi \
1354                   done; \
1355           fi; \
1356         done
1357 # Install the help chapter
1358         @echo "-------- Install the help chapter (if any) --------"; \
1359         for lang in $(HELP_CHAPTERLANG); do \
1360                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1361                 if test -f $$HELPFILE; then \
1362                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1363                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1364                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1365                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1366                 fi; \
1367         done
1368 # Install the demos & examples
1369         @echo "-------- Install demos & examples (if any) --------"; \
1370         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1371           if test -d $(srcdir)/$$dir/; then \
1372             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1373                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1374                     if test -d "$(srcdir)/$$dir/$$file"; then \
1375                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1376                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1377                     else \
1378                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1379                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1380                     fi \
1381                   done; \
1382           fi; \
1383         done
1384 # Install the macros
1385         @echo "-------- Install macros (if any) --------"; \
1386         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1387           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1388                 if test -d $(srcdir)/$$dir/; then \
1389                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1390                         if test -n "$(MACROSSPECIALEXT)"; then \
1391                                 specialExtDir=""; \
1392                                 for specialExt in $(MACROSSPECIALEXT); do \
1393                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1394                                 done; \
1395                                 FILELIST="$$FILELIST $$specialExtDir"; \
1396                         fi; \
1397                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1398                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1399                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1400                   done; \
1401                 fi; \
1402         done
1403 # Install java files (.jar)
1404         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1405         echo "-------- Install jar files --------"; \
1406     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1407           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1408                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1409                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1410           done ; \
1411         fi
1412
1413 ########### CLEAN ###################
1414 # Clean help (generated automatically by Scilab)
1415 # It used to clean the macro (clean-macros) but this was causing
1416 # make clean && make to fail Scilab startup
1417 @NEED_JAVA_TRUE@clean-local: clean-java
1418 @NEED_JAVA_FALSE@clean-local:
1419
1420 distclean-local:
1421         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1422
1423 .PHONY: macros java swig giws
1424
1425 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1426 # Otherwise a system limit (for SysV at least) may be exceeded.
1427 .NOEXPORT: